Actor API
Actions in the actor namespace of the Nexigon Hub API.
actor_GetActor
POST /api/v1/actions/invoke/actor_GetActor Get the actor.
This action is used to get the actor that is used to invoke the action.
Request GetActorAction
No fields.
Response GetActorOutput
Fields (JSON object)
actorrequiredThe actor.
Actor
Cases internally β tag field
actorAnonymousAn anonymous, unauthenticated actor.
{ "actor": "Anonymous", ...<payload fields> } β or "content" for non-object payloadsAnonymousActor
No fields.
SystemThe system itself, typically used for internal actions.
{ "actor": "System", ...<payload fields> } β or "content" for non-object payloadsSystemActor
No fields.
DeviceA device authenticated via a specific deployment token.
{ "actor": "Device", ...<payload fields> } β or "content" for non-object payloadsDeviceActor
Fields (JSON object)
deviceId(fromdevice_id) requiredID of the device.
DeviceId
stringtokenId(fromtoken_id) requiredID of the deployment token used for authentication.
DeploymentTokenId
string
UserA user typically authenticated via a user session.
{ "actor": "User", ...<payload fields> } β or "content" for non-object payloadsUserActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
string
UserTokenA user authenticated via a specific token.
{ "actor": "UserToken", ...<payload fields> } β or "content" for non-object payloadsUserTokenActor
Fields (JSON object)
userId(fromuser_id) requiredID of the user.
UserId
stringtokenId(fromtoken_id) requiredID of the user token used for authentication.
UserTokenId
string
ClusterNodeA cluster node.
{ "actor": "ClusterNode", ...<payload fields> } β or "content" for non-object payloadsClusterNodeActor
Fields (JSON object)
nodeId(fromnode_id) requiredID of the cluster node.
ClusterNodeId
string
OrganizationApiTokenAn organization API token.
{ "actor": "OrganizationApiToken", ...<payload fields> } β or "content" for non-object payloadsOrganizationApiTokenActor
Fields (JSON object)
organizationId(fromorganization_id) requiredID of the organization.
OrganizationId
stringtokenId(fromtoken_id) requiredID of the API token.
OrganizationApiTokenId
string